Summary: Perl RDBAL (Relational DataBase Abstraction Layer) module
Name: RDBAL
Version: 1.16
Release: 1
Copyright: GPL
Group: Applications/Databases/Perl
Source0: ftp://ftp.perl.org//pub/CPAN/authors/id/B/BR/BRIAN/RDBAL-1.16.tar.gz
Patch: RDBAL.patch
URL: http://www.ibc.wustl.edu/download/perl/index.html
Requires: perl >= 5.004

%changelog
* Thu Nov 5 1998 Brian H. Dunford-Shore <brian@ibc.wustl.edu>
- First build

%description
RDBAL is an abstraction layer for relational (SQL) databases, which
allows middleware independent SQL execution and database schema
(catalog) information retrieval.  RDBAL tries to 'hide' details of
implementation for scripts so that they need no changes to run on
different platforms such as Linux, Solaris, or Windows NT and
Sybase/MS SQL server or Oracle.  The RDBAL Perl library uses Perl 5
objects to make it easy to retrieve information about a particular
database's schema.  The database connection is cached in the schema
object.  Database entities (tables, views, and procedures), their
field's properties and their index information are retrieved when the
schema object is created. Table primary and foreign key relationship
information is also retrieved for all tables in a database.

Currently RDBAL supports Transact-SQL (Sybase and MS SQL), Oracle, and
(as an alpha release) mSQL relational database servers via
SybaseDBlib, ODBC, or DBI/DBD drivers. Other types of data sources,
such as AceDB, are possible.  RDBAL has been tested and used on the
Apache and MS IIS web servers and on Solaris and Windows NT.

%prep
%setup -n RDBAL-1.16
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%install
make install
make schema_cache
chown nobody /usr/local/schema_cache

%files
/usr/lib/perl5/site_perl/RDBAL.pm
/usr/lib/perl5/site_perl/RDBAL
/usr/lib/perl5/site_perl/*-linux/auto/RDBAL
/usr/lib/perl5/man/man3/RDBAL*
